# $Revision: 1.8.2.1 $, $Date: 2006/10/09 22:04:19 $
#
# Conditional build:
%bcond_without	lirc	# without LIRC support
#
Summary:	GTK+ based GUI for xine-libraries
Summary(de):	GTK+ basierende grafische Oberflche fr die xine-Bibliotheken
Summary(pl):	Oparty na GTK+ graficzny interfejs do bibliotek XINE
Name:		gxine
Version:	0.5.8
Release:	1
License:	GPL
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/xine/%{name}-%{version}.tar.bz2
# Source0-md5:	e6bc2be9c6b3a13a101d462b2034b035
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-plugindir.patch
URL:		http://xine.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 1:2.6.0
BuildRequires:	js-devel
BuildRequires:	libtool
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	pkgconfig
BuildRequires:	xine-lib-devel >= 1:1.0
Requires:	xine-lib >= 1:1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		mozilladir	/usr/%{_lib}/mozilla/plugins

%description
xine is a fully-featured free audio/video player for unix-like systems
which uses libxine for audio/video decoding and playback. For more
informations on what formats are supported, please refer to the
libxine documentation. gxine is a GTK+ based GUI for this
xine-libraries alternat to xine-ui.

%description -l de
xine ist ein freies Audio- und Video-Abspielprogramm fr unixartige
Systeme mit umfassenden Funktionen. Zur Audio- und Videodekodierung
und Wiedergabe werden die xine-Bibliotheken aus libxine verwendet.
Weitere Informationen ber die untersttzten Formate entnehmen Sie in
der Dokumentation zu libxine. gxine ist eine GTK+ basierende grafische
Oberflche fr diese xine-Bibliotheken, alternativ zur xine-ui

%description -l pl
xine to w peni funkcjonalny wolnodostpny odtwarzacz filmw dla
systemw uniksowych, korzystajcy z libxine do dekodowania i
odtwarzania dwiku i obrazu. Wicej informacji o obsugiwanych
formatach mona znale w dokumentacji libxine. gxine to graficzny
interfejs uytkownika do tych bibliotek, oparty na GTK+, alternatywny
dla xine-ui.

%package -n mozilla-plugin-gxine
Summary:	gxine as Mozilla plugin
Summary(pl):	gxine jako wtyczka Mozilli
Group:		X11/Applications/Multimedia
Requires:	%{name} = %{version}-%{release}

%description -n mozilla-plugin-gxine
gxine as Mozilla plugin.

%description -n mozilla-plugin-gxine -l pl
gxine jako wtyczka Mozilli.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_lirc:--disable-lirc} \
	--disable-static \
	--with-plugindir=%{mozilladir} \
	--with-spidermonkey=/usr/include/js

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	Applicationsdir=%{_desktopdir}

rm -f $RPM_BUILD_ROOT%{mozilladir}/*.la

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/gxine*
%{_datadir}/gxine
%dir %{_sysconfdir}/gxine
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/gxine/*
%{_desktopdir}/gxine.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_pixmapsdir}/gxine.png
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*

%files -n mozilla-plugin-gxine
%defattr(644,root,root,755)
%attr(755,root,root) %{mozilladir}/gxineplugin.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gxine.spec,v $
Revision 1.8.2.1  2006/10/09 22:04:19  glen
- 0.5.8 merged from HEAD

Revision 1.8  2005/06/02 20:36:24  qboosh
- updated to 0.4.5 (fixes CAN-2005-1692)
- deal with lirc support

Revision 1.7  2005/04/29 23:40:08  qboosh
- updated to 0.4.4

Revision 1.6  2004/12/22 00:35:38  qboosh
- updated to 0.4.1, updated desktop patch

Revision 1.5  2004/12/20 12:46:01  zbyniu
- BR: pkgconfig

Revision 1.4  2004/11/27 18:52:07  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.3  2004/11/12 17:38:53  paladine
- rel 2 for fixed desktop patch

Revision 1.2  2004/10/28 09:58:32  paladine
- "GTK+" unification (hope thats all)

Revision 1.1  2004/04/12 22:06:47  qboosh
- new; rewritten from spec included in tarball
